%global pypi_name pygame

Name:		python-pygame
Version:	2.1.2
Release:	%mkrel 2
Summary:	Python module for interfacing with the SDL multimedia library
License:	LGPLv2+
Group:		System/Libraries
URL:		http://pygame.org/
Source:		https://files.pythonhosted.org/packages/source/p/pygame/%{pypi_name}-%{version}.tar.xz
Patch0:		pygame-linking.patch

BuildRequires:	python-devel
BuildRequires:	python3-devel
BuildRequires:	python-numpy-devel
BuildRequires:	python3-numpy-devel
BuildRequires:	python-setuptools
BuildRequires:	python3-setuptools
BuildRequires:	python-numpy
BuildRequires:	python3-numpy
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_ttf)
BuildRequires:	smpeg-devel
BuildRequires:  lib64png1.6-devel
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libv4l2)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:	lib64portmidi-devel

%description
pygame is a Python wrapper module for the SDL multimedia library,
written by Pete Shinners. It contains python functions and classes that
will allow you to use SDL's support for playing cdroms, audio and video
output, and keyboard, mouse and joystick input. pygame also includes
support for the Numerical Python extension. pygame is the successor to
the pySDL wrapper project, written by Mark Baker.

Install pygame if you would like to write or play SDL games written in
the python language.

%package doc
Summary:	Pygame documentation and example programs
Group:		Development/Python
BuildArch:	noarch

%description doc
pygame is a Python wrapper module for the SDL multimedia library,
written by Pete Shinners. It contains python functions and classes that
will allow you to use SDL's support for playing cdroms, audio and video
output, and keyboard, mouse and joystick input. pygame also includes
support for the Numerical Python extension. pygame is the successor to
the pySDL wrapper project, written by Mark Baker.

Install pygame-doc if you need the API documentation and example
programs.

%package devel
Summary:	Pygame development headers
Group:		Development/Python
BuildArch:	noarch
Obsoletes:  lib64pygame1.9-devel
Provides:	lib64pygame1.9-devel = %version-%release

%description devel
pygame is a Python wrapper module for the SDL multimedia library,
written by Pete Shinners. It contains python functions and classes that
will allow you to use SDL's support for playing cdroms, audio and video
output, and keyboard, mouse and joystick input. pygame also includes
support for the Numerical Python extension. pygame is the successor to
the pySDL wrapper project, written by Mark Baker.

Install the devel package if you want to build programs with pygame.


%package -n python3-%{pypi_name}
Summary:	Python 3 module for interfacing with the SDL multimedia library
Group:		Development/Python
Provides:	pygame = %version-%release

%description -n python3-%{pypi_name}
pygame is a Python wrapper module for the SDL multimedia library,
written by Pete Shinners. It contains python functions and classes that
will allow you to use SDL's support for playing cdroms, audio and video
output, and keyboard, mouse and joystick input. pygame also includes
support for the Numerical Python extension. pygame is the successor to
the pySDL wrapper project, written by Mark Baker.

Install pygame if you would like to write or play SDL games written in
the python language.

%package -n python3-%{pypi_name}-devel
Summary:	Pygame development headers
Group:		Development/Python
BuildArch:	noarch

%description -n python3-%{pypi_name}-devel
pygame is a Python wrapper module for the SDL multimedia library,
written by Pete Shinners. It contains python functions and classes that
will allow you to use SDL's support for playing cdroms, audio and video
output, and keyboard, mouse and joystick input. pygame also includes
support for the Numerical Python extension. pygame is the successor to
the pySDL wrapper project, written by Mark Baker.

Install the devel package if you want to build programs with pygame.


%prep
%setup -q -n %{pypi_name}-%{version}
%apply_patches

# rpmlint fixes
find examples/ -type f -print0 | xargs -0 chmod -x
find docs/ -type f -print0 | xargs -0 chmod -x

%build
%py3_build


%install
%py3_install

# Fix permissions
chmod 755 %{buildroot}%{python3_sitearch}/pygame/*.so

%files doc
%doc docs/
%doc examples/

%files -n python3-%{pypi_name}
%doc README*
%{python3_sitearch}/pygame*

%files -n python3-%{pypi_name}-devel
%{_includedir}/python%{python3_version}/pygame/


%changelog
* Sat Dec 03 2022 tex - 2.1.2-2pclos2022
- rebuild against updates

* Thu Aug 11 2022 TerryN <terryn94 at gmail.com> 2.1.2-1pclos2022
- update and rebuild for python 3.10

* Mon Dec 30 2019 tex - 1.9.4-2pclos2020
- rebuild against updates

* Mon Jan 07 2019 tex 1.9.4-1pclos2019
- new
